All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
uhd::usrp::dboard_iface_special_props_t Struct Reference

Special properties that differentiate this daughterboard slot. More...

`#include <dboard_iface.hpp>`

## Public Attributes

bool | soft_clock_divider
bool | mangle_i2c_addrs

## Detailed Description

Special properties that differentiate this daughterboard slot.

## Member Data Documentation

bool uhd::usrp::dboard_iface_special_props_t::mangle_i2c_addrs

Mangle i2c addresses: When i2c is shared across multiple daugterboard slots, the i2c addresses will be mangled on the secondary slot to avoid conflicts between slots in the i2c address space. The mangling is daguhterboard specific so the implementation needs to know whether it should use mangled addresses or not.

bool uhd::usrp::dboard_iface_special_props_t::soft_clock_divider

Soft clock divider: When a motherboard cannot provided a divided dboard clock, it may provided a "soft" divided clock over an FPGA GPIO. The implementation must know the type of clock provided.

The documentation for this struct was generated from the following file:

- include/uhd/usrp/dboard_iface.hpp